be.fgov.ehealth.aa.complextype.v1

## Class BaseServiceType

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.BaseServiceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:18:23+02:00",
                 comments="JAXB RI v2.3.7")
      public class BaseServiceType
      extends Object
      implements Serializable

  service, enumerated with resources that have a link with it.

  Java class for BaseServiceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BaseServiceType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute ref="{urn:be:fgov:ehealth:aa:complextype:v1}resourceEnumeration use="required""/>
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseServiceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceEnumeration()` Gets the value of the resourceEnumeration property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setResourceEnumeration(String value)` Sets the value of the resourceEnumeration property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseServiceType

          public BaseServiceType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResourceEnumeration

          public String getResourceEnumeration()

      Gets the value of the resourceEnumeration property.
      Returns:
        possible object is `String`

    - #### setResourceEnumeration

          public void setResourceEnumeration(String value)

      Sets the value of the resourceEnumeration property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.